Page MenuHomePhabricator

Should we keep StashEdit logs in AbuseFilter?
Closed, ResolvedPublic

Description

Roughly half of messages sent to logstash are from AbuseFilter writing to the StashEdit log bucket. That cause logs to be emitted for each filterAction calls.

The info log has been added by e91939fb3fdc93842ec64541302a2157a377b440 for T137698.

It does not seem to serve much purpose in production nowadays. Can we change them to debug and raise production login for StashEdit from debug to info?

A similar request for api-feature-usage T146472

Event Timeline

hashar created this task.Sep 26 2016, 8:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 26 2016, 8:43 PM
hashar updated the task description. (Show Details)Sep 26 2016, 8:45 PM

Change 312942 had a related patch set uploaded (by Aaron Schulz):
Lower stash logging to debug()

https://gerrit.wikimedia.org/r/312942

Change 312942 merged by jenkins-bot:
Lower stash logging to debug()

https://gerrit.wikimedia.org/r/312942

hashar closed this task as Resolved.Oct 13 2016, 9:41 PM
hashar assigned this task to aaron.

The most spasming message has been lowered from INFO to DEBUG which is not logged. That dropped the rate of logs from 4 millions per day to ~ 1.5 millions.

All set. Thank you @aaron

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM